rad2deg
round
Math Functions
PHP Manual

# rand

(PHP 4, PHP 5)

rand — Generate a random integer

### Description

int rand ( void )
int rand ( int `$min` , int `$max` )

If called without the optional `min`, `max` arguments rand() returns a pseudo-random integer between 0 and getrandmax(). If you want a random number between 5 and 15 (inclusive), for example, use rand(5, 15).

> Note: On some platforms (such as Windows), getrandmax() is only 32767. If you require a range larger than 32767, specifying `min` and `max` will allow you to create a range larger than this, or consider using mt_rand() instead.

### Parameters

`min`

  The lowest value to return (default: 0)

`max`

  The highest value to return (default: getrandmax())

### Return Values

A pseudo random value between `min` (or 0) and `max` (or getrandmax(), inclusive).

### Changelog

Version | Description
--- | ---
4.2.0 | The random number generator is seeded automatically.

### Examples

Example #1 rand() example

`<?php
echo rand() . "\n";
echo rand() . "\n";
echo rand(5, 15);
?>`

The above example will output something similar to:

    7771
    22264
    11

### Notes

Caution

This function does not generate cryptographically secure values, and should not be used for cryptographic purposes. If you need a cryptographically secure value, consider using openssl_random_pseudo_bytes() instead.

### See Also

- srand() - Seed the random number generator
- getrandmax() - Show largest possible random value
- mt_rand() - Generate a better random value
- openssl_random_pseudo_bytes() - Generate a pseudo-random string of bytes

rad2deg
round
Math Functions
PHP Manual